### 模型

###### 命名约定

类名使用UpperCamelCase风格，文件名和类名保持一致。

###### 编写格式

`Model`为无缓存操作,`R2MModel`带缓存操作。

`R2MModel`继承于`Model`都是使用[`TableHelper`](/qi-ta-bu-chong/tablehelper.md)进行数据库操作，缓存通过`Redis2Mysql`使结果存入redis。

必须配置`$tableName` `$dbKey`属性，带缓存model还需配置`$cacheKey`。

示例：

```php
class Foo extends Model {
    protected $tableName = 'foo'; // 表名
    protected $dbKey = 'database_key_config'; // 名字服务数据库配置
    
    public function getFoo($id) {
        return $this->objTable->getRow(['id' => $id]);
    }
}

class Bar extends R2MModel {
    protected $tableName = 'bar'; // 表名
    protected $dbKey = 'database_key_config'; // 名字服务数据库配置
    protected $cacheKey = 'redis_key_config'; // 名字服务redis配置
    
    public function getBar($id) {
        return $this->objR2m->getRow(['id' => $id]);
    }
}
```



