### 配置

###### common.php

公共配置定义在 `common.php`，通用配置（如数据库、redis、常量等配置）被抽离到`名字服务`统一管理，每台服务器共享一份。

###### config.inc.php

定义项目通用配置，包括一些常量，缓存方式，路由等

```php
define('PROJECT_NAME', "demo"); // 项目名称

// 要加载的名字服务配置模块
$GLOBALS['nameServ_php'] = [
  'globals', // 全局，包含数据库，redis，常量等
  'code', // 错误码定义
  'r2m', // 缓存配置
];

// 缓存方式
$GLOBALS['r2mMode'] = 'lib';

// 路由配置
$GLOBALS['rewrite'] = array(
    'dl' => 'static/download',
    'robots.txt' => 'default/robots',
    'url/<url_id>' => 'static/shortUrl',
);

// 只给url()函数使用
$GLOBALS['rewrite2'] = array(

);

// 管理端权限校验节点
define('ADMIN_NODE_ID', 7710);
// 默认配置key
$GLOBALS['defaultKey'] = 'dw_27l';
```

###### config.{dev\|new\|form}.inc.php

这三个配置文件分别对应`dev(测试)`、`new(预发布)`、`form(正式)`环境，在`common.php`根据项目路径判断加载，用于定义有运行环境差异的配置。

```php
// 环境，debug信息
define('DEBUG', false);
define('ENV', ENV_FORMAL);

// log入库key
define("CALL_LOG_KEY", "logstash:dw#1");

// CDN路径
define("URL_CDN", '/');
```



