### 可执行脚本

###### 目录结构

可执行脚本存放在`bin`目录下，建议以下方式分类

```
bin
├── once // 单次执行脚本
├── cron // 定时脚本
├── supervisor // 常驻脚本
└── spider // 带有明确功能的分类
```

###### 脚本参考结构

建议输出有意义的执行信息

```php
#!/path/to/php
<?php
// 运行时配置
set_time_limit(0); 
ini_set("display_errors", "On");
error_reporting(E_ALL & ~E_NOTICE);

require_once realpath(dirname(__FILE__)) . '/../common.php'; // 项目依赖配置

// 如果这个脚本只能单进程进行
$pidFile = BASE_DIR . '/protected/bin/run/script_name.pid';
if (!singleProcess(getCurrentCommand(), $pidFile)) {
    exit("Sorry, this script file has already been running ...,pid:{$pidFile}\n");
}

// 业务逻辑
```



